Provision MediaAgents or AccessNode using scale config
API To Provision MediaAgents or AccessNode using scale Config
- application/json
Request Body
scaleProfile object required
id int32name stringregion object required
id int32name stringmediaAgentGroup object required
id int32name string- authCode password required
- osType string
Possible values: [
WINDOWS,UNIX]OS types
- imageType ComputeImageType
Possible values: [
COMPUTE_MEDIAAGENT,COMPUTE_ACCESSNODE]Image Type to provision AccessNode or MediaAgent
- displayName string
Custom display name of provisioned infra
- infrastructureSize ComputeSizeType
Possible values: [
SMALL,MEDIUM,LARGE,XLARGE,CUSTOM]T-Shirt or infrastructure size of provisioned infra
Responses
- 200
- 400
- 403
- 500
OK
- application/json
- Schema
- Example (from schema)
Schema
error object
errorMessage stringerrorCode int32provisionedClient object
id int32name string
{
"error": {
"errorMessage": "string",
"errorCode": 0
},
"provisionedClient": {
"id": 0,
"name": "string"
}
}
Bad Request
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Forbidden
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Internal Server Error
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Loading...